Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.workflow.persistence.memory
Class EventTypePersistenceImpl

    java.lang.Object
      net.sf.dropboxmq.workflow.persistence.memory.EventTypePersistenceImpl

All Implemented Interfaces:
  EventTypePersistence

    public class EventTypePersistenceImpl

extends Object
implements EventTypePersistence

Created: 22 Aug 2010

Version:
  $Revision$, $Date$
Author:
  Dwayne Schultz

Constructor Summary
`EventTypePersistenceImpl(ProcessorPersistenceImpl processorPersistence, ProcessTypePersistenceImpl processTypePersistence)`

Method Summary
`void` | `disableEventType(int id)`
`Collection<EventType>` | `getEnabledEventTypesByProcessor(String processorName)`
`Collection<EventType>` | `getEventTypesByProcessTypeId(int processTypeId)`
`(package private) EventType` | `getExistingEventTypeById(int id)`
`void` | `storeEventType(EventType eventType)`
`void` | `updateEventType(int id, EventType eventType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventTypePersistenceImpl

    public EventTypePersistenceImpl(ProcessorPersistenceImpl processorPersistence,
                                    ProcessTypePersistenceImpl processTypePersistence)

Method Detail

### storeEventType

    public void storeEventType(EventType eventType)

  Specified by:
    `storeEventType` in interface `EventTypePersistence`

### updateEventType

    public void updateEventType(int id,
                                EventType eventType)

  Specified by:
    `updateEventType` in interface `EventTypePersistence`

### disableEventType

    public void disableEventType(int id)

  Specified by:
    `disableEventType` in interface `EventTypePersistence`

### getEventTypesByProcessTypeId

    public Collection<EventType> getEventTypesByProcessTypeId(int processTypeId)

  Specified by:
    `getEventTypesByProcessTypeId` in interface `EventTypePersistence`

### getEnabledEventTypesByProcessor

    public Collection<EventType> getEnabledEventTypesByProcessor(String processorName)

  Specified by:
    `getEnabledEventTypesByProcessor` in interface `EventTypePersistence`

### getExistingEventTypeById

    EventType getExistingEventTypeById(int id)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD